#
# spec file for package wol
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wol
Summary:        Wake On Lan client
License:        GPL-2.0+
Group:          Productivity/Networking/Boot/Utilities
Version:        0.7.1
Release:        161.3
Source:         http://sourceforge.net/projects/wake-on-lan/files/wol/%{version}/%{name}-%{version}.tar.gz
Url:            http://ahh.sourceforge.net/wol/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %install_info_prereq

%description
The Wake On Lan client wakes up magic packet compliant machines such as
boxes with wake-on-lan ethernet-cards. Some workstations provide
SecureON which extends wake-on-lan with a password. This feature is
also provided by wol.



Authors:
--------
    Thomas Krennwallner <krennwallner@aon.at>

%prep
%setup -q

%build
%configure --disable-rpath
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%install_info --info-dir=%{_infodir} %{_infodir}/wol.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/wol.info.gz

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README TODO
%{_infodir}/wol.*
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Fri Apr  5 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Thu Sep 15 2011 andrea.turrini@gmail.com
- fixed typo in wol.spec
* Mon Feb 25 2008 crrodriguez@suse.de
- should be install_info_delete in postun section
* Mon Feb 25 2008 crrodriguez@suse.de
- use find_lang macro
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat May  1 2004 nashif@suse.de
- Update to 0.7.1
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Tue Dec  9 2003 nashif@suse.de
- Initial Release ( Version 0.7.0 )
